<?php

namespace Modules\Lpj\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
// use Modules\Lpj\Database\Factories\LaporanFactory;

class Laporan extends Base
{
    use HasFactory;

    protected $table = 'laporan';
    /**
     * The attributes that are mass assignable.
     */
    protected $guarded = ['id'];


    public function jenisLaporan(){
        return $this->belongsTo(JenisLaporan::class);
    }

    public function dokument(){
        return $this->belongsTo(DokumenJaminan::class);
    }

    public function permohonan(){
        return $this->belongsTo(Permohonan::class);
    }

    // protected static function newFactory(): LaporanFactory
    // {
    //     // return LaporanFactory::new();
    // }
}
